Subject: Re: The Last Ranch (fwd)

From: Victor Guest <[email-masked]>
Date: Mon, 17 Nov 1997 12:42:44 WST

Errors-To: [email-masked]

The Center now has copies of THE LAST RANCH, by Sam Bingham in soft cover
for $14 plus $3 shipping = $17.

This is a moving portrayal of the Whitten family as they practice HOlistic
Management in the high desert country in Colorado. Live through the
struggles, the triumphs and the heart-warming stories of these real people
as they work to save the land and way of life they love. Anyone learning to
practice Holistic Management will appreciate this true story which reads
more like great fiction!

Please email us or call 505-842-5252 if you'd like to order.